Get a remittance's 835 Electronic Remittance Advice (ERA)
curl --request GET \
--url https://api.getlemma.com/v1/remittances/{id}/era \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v1/remittances/{id}/era"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v1/remittances/{id}/era', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getlemma.com/v1/remittances/{id}/era",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getlemma.com/v1/remittances/{id}/era"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getlemma.com/v1/remittances/{id}/era")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getlemma.com/v1/remittances/{id}/era")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyISA*00* *00* *ZZ*LEMMA *ZZ*RECEIVER *260320*1200*^*00501*000000001*0*P*:~
GS*HP*LEMMA*RECEIVER*20260320*1200*1*X*005010X221A1~
ST*835*0001~
BPR*I*1728*C*ACH*CCP*01*021000021*DA*9081726354*1123456789**01*021000021*DA*123456789*20260320~
TRN*1*012321930571284*1123456789~
CLP*PATIENT001*1*2000*1728*272*12*CLM202603200042*11~
SE*5*0001~
GE*1*1~
IEA*1*000000001~
Remittances
Get a remittance's 835 Electronic Remittance Advice (ERA)
Retrieve a remittance’s electronic remittance advice as raw X12 835.
GET
/
v1
/
remittances
/
{id}
/
era
Get a remittance's 835 Electronic Remittance Advice (ERA)
curl --request GET \
--url https://api.getlemma.com/v1/remittances/{id}/era \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v1/remittances/{id}/era"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v1/remittances/{id}/era', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getlemma.com/v1/remittances/{id}/era",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getlemma.com/v1/remittances/{id}/era"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getlemma.com/v1/remittances/{id}/era")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getlemma.com/v1/remittances/{id}/era")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyISA*00* *00* *ZZ*LEMMA *ZZ*RECEIVER *260320*1200*^*00501*000000001*0*P*:~
GS*HP*LEMMA*RECEIVER*20260320*1200*1*X*005010X221A1~
ST*835*0001~
BPR*I*1728*C*ACH*CCP*01*021000021*DA*9081726354*1123456789**01*021000021*DA*123456789*20260320~
TRN*1*012321930571284*1123456789~
CLP*PATIENT001*1*2000*1728*272*12*CLM202603200042*11~
SE*5*0001~
GE*1*1~
IEA*1*000000001~
/v1 remittance IDs (
canonical_payment_…) are different from /v0 IDs (remittance_…) and are
not interchangeable. Use /v1 IDs only with /v1 endpoints.id of a remittance whose era_available is true in List remittances. Lemma generates an 835 for remittances it read from an EOB; a remittance that reached Lemma already as an 835, for example from a clearinghouse, has none to fetch and returns 404.
When more than one EOB reported the same payment, the 835 comes from the EOB Lemma posted, otherwise from the most recently accepted one.
The response body is the 835 in X12 wire format, served as application/edi-x12. Files conform to the HIPAA 5010 ASC X12 835 (Health Care Claim Payment and Remittance Advice) standard, governed by Technical Report Type 3 (TR3) identifier 005010X221. See the official X12 specification for details.
Path parameters
The remittance ID, as returned by List remittances.
Query parameters
Pass
1 to receive the 835 as a file download (sets a Content-Disposition attachment header). Omit to receive it inline.Response
The 835 document in X12 wire format.ISA*00* *00* *ZZ*LEMMA *ZZ*RECEIVER *260320*1200*^*00501*000000001*0*P*:~
GS*HP*LEMMA*RECEIVER*20260320*1200*1*X*005010X221A1~
ST*835*0001~
BPR*I*1728*C*ACH*CCP*01*021000021*DA*9081726354*1123456789**01*021000021*DA*123456789*20260320~
TRN*1*012321930571284*1123456789~
CLP*PATIENT001*1*2000*1728*272*12*CLM202603200042*11~
SE*5*0001~
GE*1*1~
IEA*1*000000001~